## calypso.util
Class PrefetchEnumeration

    java.lang.Object
      |
      +--calypso.util.PrefetchEnumeration

Direct Known Subclasses:
  ByteToCharConverterEnumeration, CharToByteConverterEnumeration, ClasspathEntryEnumeration

public abstract class PrefetchEnumeration
extends java.lang.Object
implements java.util.Enumeration

Field Summary
`protected java.lang.Object` | `fFetch`
`protected boolean` | `initialized`

Constructor Summary
`PrefetchEnumeration()`

Method Summary
`protected abstract java.lang.Object` | `fetch()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialized

    protected boolean initialized

### fFetch

    protected java.lang.Object fFetch

Constructor Detail

### PrefetchEnumeration

    public PrefetchEnumeration()

Method Detail

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    nextElement in interface java.util.Enumeration

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    hasMoreElements in interface java.util.Enumeration

### fetch

    protected abstract java.lang.Object fetch()